AbstractAccessLogValve.LocalAddrElement (Apache Tomcat 10.1.55 API Documentation)
Description: declaration: package: org.apache.catalina.valves, class: AbstractAccessLogValve, class: LocalAddrElement

# Class AbstractAccessLogValve.LocalAddrElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.LocalAddrElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected static class AbstractAccessLogValve.LocalAddrElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write local IP address - %A.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalAddrElement(boolean ipv6Canonical)`
  Creates a new local address element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Request request, Response response, long time)`
  Called to create an access log entry.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AbstractAccessLogValve.AccessLogElement

  `addElement`

- ## Constructor Details

  - ### LocalAddrElement

    public LocalAddrElement(boolean ipv6Canonical)
    Creates a new local address element.
    Parameters:
      `ipv6Canonical` - Whether to use IPv6 canonical representation

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Request request, Response response, long time)
    Description copied from interface: `AbstractAccessLogValve.AccessLogElement`
    Called to create an access log entry.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request